all:
	$(MAKE) -C 0-lang0py all
	$(MAKE) -C 1-lang0py all
	$(MAKE) -C 2-lang0c all
	$(MAKE) -C tests all

clean:
	$(MAKE) -C 0-lang0py clean
	$(MAKE) -C 1-lang0py clean
	$(MAKE) -C 2-lang0c clean
	$(MAKE) -C tests clean
